const colors = require('colors');
const docker = require('docker-compose');

const ProjectEnvironment = require('../classes/ProjectEnvironment');
const log = require('../inc/log');

const stopServices = async (projectEnv) => {
  await docker.down(projectEnv.getDockerOptions());
};

module.exports = (env) => {
  const projectEnv = new ProjectEnvironment(process.cwd(), env);

  log.log("Shutting down project (%s environment)...", colors.bold(env));

  stopServices(projectEnv);
};
